<?php

/**
 * Get settings
 *
 */
$settings = get_query_var( 'ghostpool_loop_settings' );
if ( $settings && is_array( $settings ) ) {
	extract( $settings );
} else {
	$settings = get_query_var( 'ghostpool_page_settings' );
	if ( $settings && is_array( $settings ) ) {
		extract( $settings );
	}
}
if ( ! $settings ) {
	return;
}

if ( isset( $image_source ) && $image_source && get_post_meta( get_the_ID(), $image_source, true ) ) {
	$image_id = get_post_meta( get_the_ID(), $image_source, true );
	echo wp_get_attachment_image( $image_id, $image['name'] );
} elseif ( has_post_thumbnail() ) {
	echo get_the_post_thumbnail( get_the_ID(), $image['name'] );
}

?>