<?php 

/**
 * Get settings
 *
 */
$settings = get_query_var( 'ghostpool_page_settings' );
if ( $settings && is_array( $settings ) ) {
	extract( $settings );
}

if ( $layout == 'gp-both-sidebars' OR $layout == 'gp-left-sidebar' ) { ?>

	<div class="gp-sidebar-divider"></div>
	
	<aside id="gp-sidebar-left" class="gp-sidebar">
	
		<?php if ( $layout != 'gp-both-sidebars' && $layout != 'gp-right-sidebar' && 'enabled' === ghostpool_option( 'sensei_theme_templates' ) ) {
			get_template_part( 'lib/sections/sensei/sensei-details' );
		} ?>

		<?php if ( is_active_sidebar( $left_sidebar ) ) {
			dynamic_sidebar( $left_sidebar );
		} ?>		

	</aside>

<?php }