<?php 

/**
 * Get settings
 *
 */
$settings = get_query_var( 'ghostpool_page_settings' );
if ( $settings && is_array( $settings ) ) {
	extract( $settings );
}

if ( $layout == 'gp-both-sidebars' OR $layout == 'gp-right-sidebar' ) { ?>

	<div class="gp-sidebar-divider"></div>
	
	<aside id="gp-sidebar-right" class="gp-sidebar">
	
		<?php if ( 'enabled' === ghostpool_option( 'sensei_theme_templates' ) ) { 
			get_template_part( 'lib/sections/sensei/sensei-details' ); 
		} ?>
	
		<?php if ( is_active_sidebar( $right_sidebar ) ) {
			dynamic_sidebar( $right_sidebar );
		} ?>		

	</aside>

<?php }