<?php if ( ghostpool_option( 'copyright_display' ) == 'enabled' ) { ?>
	<div id="gp-copyright">

		<div id="gp-copyright-text">
			<?php if ( ghostpool_option( 'copyright_text' ) ) { ?>
				<?php echo wp_kses_post( ghostpool_option( 'copyright_text' ) ); ?>
			<?php } else { ?>
				<?php esc_html_e( 'Copyright &copy;', 'aardvark' ); ?> <?php echo date( 'Y' ); ?> <a href="<?php echo esc_url( 'https://themeforest.net/user/GhostPool/portfolio?ref=GhostPool' ); ?>" rel="nofollow"><?php esc_html_e( 'GhostPool.com', 'aardvark' ); ?></a>
			<?php } ?>
		</div>

		<?php 
		
		$nav = apply_filters( 'ghostpool_footer_nav', 'gp-footer-nav' );
		
		if ( has_nav_menu( $nav ) ) { ?>
			<nav id="gp-footer-nav" class="gp-nav">
				<?php wp_nav_menu( array( 'theme_location' => $nav, 'sort_column' => 'menu_order', 'container' => 'ul', 'fallback_cb' => 'null', 'walker' => new Ghostpool_Custom_Menu ) ); ?>			
			</nav>
		<?php } ?>

	</div>
<?php } ?>	